Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._2._1.rs.impl
Class RegistryFactoryImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.emf.ecore.impl.FlatEObjectImpl
                      org.eclipse.emf.ecore.impl.EModelElementImpl
                          org.eclipse.emf.ecore.impl.EFactoryImpl
                              org.eclipse.ohf.ihe.common.ebxml._2._1.rs.impl.RegistryFactoryImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EFactory, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject, RegistryFactory

    public class RegistryFactoryImpl

extends org.eclipse.emf.ecore.impl.EFactoryImpl
implements RegistryFactory

An implementation of the model Factory.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`ELAST_EOBJECT_FLAG`

Fields inherited from interface org.eclipse.ohf.ihe.common.ebxml._2._1.rs.RegistryFactory
`eINSTANCE`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`RegistryFactoryImpl()` Creates an instance of the factory.

Method Summary
`java.lang.String` | `convertDeletionScopeTypeObjectToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` | `convertDeletionScopeTypeToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` | `convertErrorTypeObjectToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` | `convertErrorTypeToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` | `convertStatusTypeObjectToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` | `convertStatusTypeToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` | `convertToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`org.eclipse.emf.ecore.EObject` | `create(org.eclipse.emf.ecore.EClass eClass)`
`AddSlotsRequestType` | `createAddSlotsRequestType()`
`ApproveObjectsRequestType` | `createApproveObjectsRequestType()`
`DeletionScopeType` | `createDeletionScopeTypeFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`DeletionScopeType` | `createDeletionScopeTypeObjectFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`DeprecateObjectsRequestType` | `createDeprecateObjectsRequestType()`
`DocumentRoot` | `createDocumentRoot()`
`ErrorType` | `createErrorTypeFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`ErrorType` | `createErrorTypeObjectFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`java.lang.Object` | `createFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`OptionalFeaturesSupportedType` | `createOptionalFeaturesSupportedType()`
`RegistryErrorListType` | `createRegistryErrorListType()`
`RegistryErrorType` | `createRegistryErrorType()`
`RegistryProfileType` | `createRegistryProfileType()`
`RegistryResponseType` | `createRegistryResponseType()`
`RemoveObjectsRequestType` | `createRemoveObjectsRequestType()`
`RemoveSlotsRequestType` | `createRemoveSlotsRequestType()`
`RequestAcceptedResponseType` | `createRequestAcceptedResponseType()`
`RootElementType` | `createRootElementType()`
`StatusType` | `createStatusTypeFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`StatusType` | `createStatusTypeObjectFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`SubmitObjectsRequestType` | `createSubmitObjectsRequestType()`
`UpdateObjectsRequestType` | `createUpdateObjectsRequestType()`
`static RegistryPackage` | `getPackage()` Deprecated.
`RegistryPackage` | `getRegistryPackage()`
`static RegistryFactory` | `init()` Creates the default factory implementation.

Methods inherited from class org.eclipse.emf.ecore.impl.EFactoryImpl
`basicSetEPackage, eGet, eInverseAdd, eInverseRemove, eIsSet, eSet, eUnset, getEPackage, setEPackage`

Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eObjectForURIFragmentSegment, eURIFragmentSegment, getEAnnotation, getEAnnotations`

Methods inherited from class org.eclipse.emf.ecore.impl.FlatEObjectImpl
`eContents, eCrossReferences, eIsProxy, eProxyURI, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eSetClass, eSetDeliver`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset, toString`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EFactory
`getEPackage, setEPackage`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Constructor Detail

### RegistryFactoryImpl

    public RegistryFactoryImpl()

  Creates an instance of the factory.

Method Detail

### init

    public static RegistryFactory init()

  Creates the default factory implementation.

### create

    public org.eclipse.emf.ecore.EObject create(org.eclipse.emf.ecore.EClass eClass)

  Specified by:
    `create` in interface `org.eclipse.emf.ecore.EFactory`
  Overrides:
    `create` in class `org.eclipse.emf.ecore.impl.EFactoryImpl`

### createFromString

    public java.lang.Object createFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                             java.lang.String initialValue)

  Specified by:
    `createFromString` in interface `org.eclipse.emf.ecore.EFactory`
  Overrides:
    `createFromString` in class `org.eclipse.emf.ecore.impl.EFactoryImpl`

### convertToString

    public java.lang.String convertToString(org.eclipse.emf.ecore.EDataType eDataType,
                                            java.lang.Object instanceValue)

  Specified by:
    `convertToString` in interface `org.eclipse.emf.ecore.EFactory`
  Overrides:
    `convertToString` in class `org.eclipse.emf.ecore.impl.EFactoryImpl`

### createAddSlotsRequestType

    public AddSlotsRequestType createAddSlotsRequestType()

  Specified by:
    `createAddSlotsRequestType` in interface `RegistryFactory`
  Returns:
    a new object of class 'Add Slots Request Type'.

### createApproveObjectsRequestType

    public ApproveObjectsRequestType createApproveObjectsRequestType()

  Specified by:
    `createApproveObjectsRequestType` in interface `RegistryFactory`
  Returns:
    a new object of class 'Approve Objects Request Type'.

### createDeprecateObjectsRequestType

    public DeprecateObjectsRequestType createDeprecateObjectsRequestType()

  Specified by:
    `createDeprecateObjectsRequestType` in interface `RegistryFactory`
  Returns:
    a new object of class 'Deprecate Objects Request Type'.

### createDocumentRoot

    public DocumentRoot createDocumentRoot()

  Specified by:
    `createDocumentRoot` in interface `RegistryFactory`
  Returns:
    a new object of class 'Document Root'.

### createOptionalFeaturesSupportedType

    public OptionalFeaturesSupportedType createOptionalFeaturesSupportedType()

  Specified by:
    `createOptionalFeaturesSupportedType` in interface `RegistryFactory`
  Returns:
    a new object of class 'Optional Features Supported Type'.

### createRegistryErrorListType

    public RegistryErrorListType createRegistryErrorListType()

  Specified by:
    `createRegistryErrorListType` in interface `RegistryFactory`
  Returns:
    a new object of class 'Error List Type'.

### createRegistryErrorType

    public RegistryErrorType createRegistryErrorType()

  Specified by:
    `createRegistryErrorType` in interface `RegistryFactory`
  Returns:
    a new object of class 'Error Type'.

### createRegistryProfileType

    public RegistryProfileType createRegistryProfileType()

  Specified by:
    `createRegistryProfileType` in interface `RegistryFactory`
  Returns:
    a new object of class 'Profile Type'.

### createRegistryResponseType

    public RegistryResponseType createRegistryResponseType()

  Specified by:
    `createRegistryResponseType` in interface `RegistryFactory`
  Returns:
    a new object of class 'Response Type'.

### createRemoveObjectsRequestType

    public RemoveObjectsRequestType createRemoveObjectsRequestType()

  Specified by:
    `createRemoveObjectsRequestType` in interface `RegistryFactory`
  Returns:
    a new object of class 'Remove Objects Request Type'.

### createRemoveSlotsRequestType

    public RemoveSlotsRequestType createRemoveSlotsRequestType()

  Specified by:
    `createRemoveSlotsRequestType` in interface `RegistryFactory`
  Returns:
    a new object of class 'Remove Slots Request Type'.

### createRequestAcceptedResponseType

    public RequestAcceptedResponseType createRequestAcceptedResponseType()

  Specified by:
    `createRequestAcceptedResponseType` in interface `RegistryFactory`
  Returns:
    a new object of class 'Request Accepted Response Type'.

### createRootElementType

    public RootElementType createRootElementType()

  Specified by:
    `createRootElementType` in interface `RegistryFactory`
  Returns:
    a new object of class 'Root Element Type'.

### createSubmitObjectsRequestType

    public SubmitObjectsRequestType createSubmitObjectsRequestType()

  Specified by:
    `createSubmitObjectsRequestType` in interface `RegistryFactory`
  Returns:
    a new object of class 'Submit Objects Request Type'.

### createUpdateObjectsRequestType

    public UpdateObjectsRequestType createUpdateObjectsRequestType()

  Specified by:
    `createUpdateObjectsRequestType` in interface `RegistryFactory`
  Returns:
    a new object of class 'Update Objects Request Type'.

### createDeletionScopeTypeFromString

    public DeletionScopeType createDeletionScopeTypeFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                               java.lang.String initialValue)

### convertDeletionScopeTypeToString

    public java.lang.String convertDeletionScopeTypeToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                             java.lang.Object instanceValue)

### createErrorTypeFromString

    public ErrorType createErrorTypeFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                               java.lang.String initialValue)

### convertErrorTypeToString

    public java.lang.String convertErrorTypeToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                     java.lang.Object instanceValue)

### createStatusTypeFromString

    public StatusType createStatusTypeFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                 java.lang.String initialValue)

### convertStatusTypeToString

    public java.lang.String convertStatusTypeToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                      java.lang.Object instanceValue)

### createDeletionScopeTypeObjectFromString

    public DeletionScopeType createDeletionScopeTypeObjectFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                                     java.lang.String initialValue)

### convertDeletionScopeTypeObjectToString

    public java.lang.String convertDeletionScopeTypeObjectToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                                   java.lang.Object instanceValue)

### createErrorTypeObjectFromString

    public ErrorType createErrorTypeObjectFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                     java.lang.String initialValue)

### convertErrorTypeObjectToString

    public java.lang.String convertErrorTypeObjectToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                           java.lang.Object instanceValue)

### createStatusTypeObjectFromString

    public StatusType createStatusTypeObjectFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                       java.lang.String initialValue)

### convertStatusTypeObjectToString

    public java.lang.String convertStatusTypeObjectToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                            java.lang.Object instanceValue)

### getRegistryPackage

    public RegistryPackage getRegistryPackage()

  Specified by:
    `getRegistryPackage` in interface `RegistryFactory`
  Returns:
    the package supported by this factory.

### getPackage

    public static RegistryPackage getPackage()

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD